
Redmine - Defect #11355

Plain text notification emails content is HTML escaped

2012-07-09 23:49 - Arnis Juraga

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed Affected version: 2.0.3

Description

There are some problems with latest Redmine versions.

After upgrade to 2.0.2 (the same problem with 2.0.3), when sending e-mail notifications as PLAIN TEXT, something has changed.

Now - "<pre>" tag is replaced with &lt;pre&gt;

There are some other issues with incoming e-mails as well, but this is another issue.

Related issues:

Has duplicate Redmine - Defect #12138: Plain Text Emails are Html Escaped Closed

Associated revisions

Revision 10205 - 2012-08-13 21:05 - Jean-Philippe Lang

Fixed that text email templates are escaped (#11355).

History

#1 - 2012-07-10 09:13 - Toshi MARUYAMA

- Category set to Email notifications

- Affected version (unused) set to 2.0.3

- Affected version set to 2.0.3

#2 - 2012-07-11 23:42 - Etienne Massip

- Subject changed from Redmine 2.0.2 e-mail notifications parsing  to Plain text notification emails content is HTML escaped

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

#3 - 2012-07-11 23:45 - Etienne Massip

- Description updated

#4 - 2012-07-12 00:40 - Etienne Massip

Bad news: this is a Rails issue, more specifically a 3.x issue regression according to original LH ticket.

Good news: the issue has been reopened 14 days ago and a PR is being worked on (or, at least it was 8 days ago) so it could be fairly well fixed

soon.

#5 - 2012-08-13 21:06 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.1.0

- Resolution set to Fixed

Etienne Massip wrote:

Good news: the issue has been reopened 14 days ago and a PR is being worked on (or, at least it was 8 days ago) so it could be fairly well fixed

soon.
https://github.com/rails/rails/issues/687
https://rails.lighthouseapp.com/projects/8994/tickets/4858


 The ticket was closed on github. That's odd because I'm still able to reproduce with Rails 3.2... Patch applied in r10205 anyway.
https://github.com/rails/rails/issues/2496
https://www.redmine.org/projects/redmine/repository/svn/revisions/10205
http://www.tcpdf.org

